Displaying 20 results from an estimated 52 matches for "liveos".
2009 Oct 22
0
[PATCH node] merge Root and /boot partitions
...git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index dd53988..9ab06bd 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,9 +29,9 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
- mount_boot
+ mount_liveos
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/BOOT|awk {'
+ eval $(readlink -f /dev/disk/by-label/RootBackup|awk {'
print "disk=" substr($1,1,length($1)-1);
print "disk2=" substr($1,1...
2010 Mar 23
1
[PATCH node][RFC] Remove dependencies on /dev/disk/by-label entries
...candidate=RootUpdate
- elif [ -e /dev/disk/by-label/RootNew ]; then
+ elif findfs LABEL=RootNew 2>&1 >/dev/null; then
candidate=RootNew
fi
if [ -z "$candidate" ]; then
@@ -80,7 +87,7 @@ ovirt_boot_setup() {
umount /liveos
rc=0
else
- candidate_dev=$(readlink -f /dev/disk/by-label/$candidate)
+ candidate_dev=$(findfs LABEL=$candidate 2>/dev/null)
e2label $candidate_dev RootNew
rc=$?
fi
@@ -90,7 +97,7 @@ ovirt_boot_setup() {
r...
2009 Dec 10
0
[PATCH node] Enables stateless iscsi remote boot
...s(+), 121 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index 4c4e3d7..7978010 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -48,7 +48,7 @@ ovirt_boot_setup() {
else
grub_dev_label="RootBackup"
fi
- mount_liveos
+
# check that /boot mounted ok and find partition number for GRUB
eval $(readlink -f /dev/disk/by-label/$grub_dev_label|awk {'
print "disk=" substr($1,1,length($1)-1);
@@ -62,54 +62,57 @@ ovirt_boot_setup() {
return 1
fi
- mountpoint /liveos
- i...
2009 Dec 08
1
[PATCH node] iscsi remote root basework This lays most of the groundwork for iscsi installation and configuration. At this time configuring iscsi is disabled due to multiple issues with dependent pieces.
...; then
+ . /boot/ovirt
+ iscsiadm -p $OVIRT_ISCSI_TARGET_IP:$OVIRT_ISCSI_TARGET_PORT -m discovery -t sendtargets
+ log "Restarting iscsi service"
+ service iscsi restart
+ fi
+ else
+ grub_dev_label="RootBackup"
+ fi
mount_liveos
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/RootBackup|awk {'
+ eval $(readlink -f /dev/disk/by-label/$grub_dev_label|awk {'
print "disk=" substr($1,1,length($1)-1);
print "disk2="...
2010 Oct 26
0
[PATCH node] add install.py
...ddffb53
--- /dev/null
+++ b/scripts/install.py
@@ -0,0 +1,247 @@
+#!/usr/bin/python
+#
+# install.py - configure local boot/root disk partitions
+
+# SYNOPSIS
+# ovirt-config-boot livecd_path bootparams reboot
+#
+# livecd_path - where livecd media is mounted,
+# parent of LiveOS and isolinux folders
+# default is /live
+#
+# bootparams - extra boot parameters like console=...
+# default is $OVIRT_BOOTPARAMS
+#
+# reboot - reboot after install
+# default is yes
+
+from ovirtfunctions import *
+imp...
2010 Mar 24
2
[PATCH node][REPOST 1/2] Fix uninstall to detect and cleanup correct partitions
Previous implementation had staticly defined partitions to remove.
This would break in the case of split Root and HostVG devices.
Signed-off-by: Mike Burns <mburns at redhat.com>
---
scripts/ovirt-config-boot | 11 +--------
scripts/ovirt-config-uninstall | 48 ++++++++++++++++++++++++---------------
scripts/ovirt-functions | 33 +++++++++++++++++++++++++++
3 files
2009 Aug 20
3
[PATCH ovirt-node-image] fixes for edit-livecd
Patch set fixes issues with image size increase when using edit-livecd
Also address issue with ext4 root fs
2014 Jul 23
1
Info to upstream centos mirror: file centos/7.0.1406/os/x86_64/LiveOS/squashfs.img IS CORRUPT !
Hello,
i've been struggling hard to setup our automated PXE/kickstart system
using various local mirrors
but it alway hung after partitioning with no further exception. When I
encountered squshfs errors
on the Console (text based / kickstart installation) I re-synced (rsync)
with CERN mirror afterwards with
switch.ch mirror and fh-esslingen - But the squashfs image remained corrupt.
To prove
2009 Sep 30
1
[PATCH node] split root filesystems out of HostVG and onto their own partitions
...ctions | 8 +++++---
4 files changed, 30 insertions(+), 23 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index 2961f76..dd53988 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -56,11 +56,11 @@ ovirt_boot_setup() {
mkdir -p /liveos
# prepare Root partition update
candidate=
- if [ -e /dev/HostVG/RootBackup ]; then
+ if [ -e /dev/disk/by-label/RootBackup ]; then
candidate=RootBackup
- elif [ -e /dev/HostVG/RootUpdate ]; then
+ elif [ -e /dev/disk/by-label/RootUpdate ]; then
candidate=Roo...
2009 Aug 03
0
[PATCH node-image] Fix edit-livecd to re-create ext2 filesystem each time
...setenforce Enforcing
+ fi
+
+ e2fsck -f -y $output_file || :
+ e2fsck -f -y $output_file || :
+}
+
addExit "rm -rf $WDIR"
ID_FS_LABEL= # initialize, in case vol_id fails
@@ -150,47 +220,73 @@ mnt "-t iso9660 $CD -o loop,ro" cd
mnt "-t squashfs $WDIR/cd/LiveOS/squashfs.img -o ro,loop" sq
# create writable copy of the new filesystem for the CD
-cp -pr $WDIR/cd $WDIR/cd-w
+rsync -a $WDIR/cd/ $WDIR/cd-w/
# create writable copy of the filesystem for the new compressed
# squashfs filesystem
-cp -pr $WDIR/sq $WDIR/sq-w
+rsync -a $WDIR/sq/ $WDIR/sq-...
2010 Apr 13
1
[PATCH node] refactor node image recipe
...+rm -Rf $manifests
+%end
+
+%post --nochroot
+# Move manifest tar to build directory
+mv $INSTALL_ROOT/ovirt-node-image-manifests*.tar .
+
+# only works on x86, x86_64
+if [ "$(uname -i)" = "i386" -o "$(uname -i)" = "x86_64" ]; then
+ if [ ! -d $LIVE_ROOT/LiveOS ]; then mkdir -p $LIVE_ROOT/LiveOS ; fi
+ cp /usr/bin/livecd-iso-to-disk $LIVE_ROOT/LiveOS
+ cp /usr/bin/livecd-iso-to-pxeboot $LIVE_ROOT/LiveOS
+fi
+%end
+
diff --git a/recipe/common-manifest-pre.ks b/recipe/common-manifest-pre.ks
new file mode 100644
index 0000000..c88f0cc
--- /dev/null
+++...
2013 Jun 18
1
How to rebuild the Centos 6.4 iso images with the same contents as officially released iso images ?
...ead many Centos webpages and mail archives but found only raw descriptions of the build process.
My first aim is to rebuild CentOS-6.4-x86_64-LiveCD.iso using the Centos repositories
and preferably without recompiling the SRPMs, just to verify the build process.
My final aim is to create a Centos LiveOS contain the packages in CentOS-6.4-x86_64-minimal.iso
plus some network configuration changes and some own executables preinstalled.
--- Only background, not part of the question ---
I tried to build a LiveOS on Centos6.4 x86_64 host using livecd-creator ( livecd-tools-13.4-2.el6.x86_64 ):
LANG=C...
2009 Sep 30
0
[PATCH node] RESEND: split root file systems out of HostVG onto separate partitions
...ctions | 8 +++++---
4 files changed, 30 insertions(+), 23 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index ed2bb9f..01c1821 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -56,11 +56,11 @@ ovirt_boot_setup() {
mkdir -p /liveos
# prepare Root partition update
candidate=
- if [ -e /dev/HostVG/RootBackup ]; then
+ if [ -e /dev/disk/by-label/RootBackup ]; then
candidate=RootBackup
- elif [ -e /dev/HostVG/RootUpdate ]; then
+ elif [ -e /dev/disk/by-label/RootUpdate ]; then
candidate=Roo...
2016 May 04
5
Copying CentOS to new drive
I recently asked about copying a running system to a new drive.
As a postscript, I'm wondering if it would have been preferable
to run the machine under a Live OS, and simply copy the root partition
to the new drive?
Eg while running under the LiveOS,
# mkdir /mnt/old /mnt/new
# mount /dev/sda7 /mnt/old
# mount /dev/sdb6 /mnt/new
# cp -avx /mnt/old /mnt/new
or
# rsync -ax --progress /mnt/old /mnt/new
--
Timothy Murphy
gayleard /at/ eircom.net
School of Mathematics, Trinity College, Dublin
2010 Mar 31
1
[PATCH node] Handle space in storage wwid
...ABEL=$candidate 2>/dev/null)
- e2label $candidate_dev RootNew
+ e2label "$candidate_dev" RootNew
rc=$?
fi
if [ $rc -ne 0 ]; then
@@ -97,7 +97,7 @@ ovirt_boot_setup() {
return $rc
fi
- mount $candidate_dev /liveos/
+ mount "$candidate_dev" /liveos/
rm -rf /liveos/LiveOS
mkdir -p /liveos/LiveOS
@@ -175,7 +175,7 @@ EOF
if [ "$OVIRT_ISCSI_ENABLED" != "y" ]; then
umount /liveos
# mark new Root ready to go, reboot() in ovirt-function s...
2013 Jul 13
3
efi64 boot fail during download from kernel and initrd via http
...b6-a448-5906da74f449-1373663105545 at 3capp-gmx-bs57>
>
> Hi,
>
> I tested the following config:
>
> DEFAULT AutoInstall
> PROMPT 0
>
> LABEL AutoInstall
> KERNEL http://server/vmlinuz64
> APPEND initrd=http://server/initrd64.img root=live:http://server/LiveOS/squashfs.img quiet lang=en keymap=de-latin1 systemd.unit=rescue.target system.unit=rescue.target system.unit=rescue.target
>
> I use VMWare Player 5.02 build 1031769 on Win2k8 R2 64bit.
> I found that the last working version is 6.02-pre1 but beginning with pre2 and also latest version 6....
2009 Sep 22
1
[PATCH] edit-livecd in python
...-v $mp"
-}
-
-addExit "rm -rf $WDIR"
-
-ID_FS_LABEL= # initialize, in case vol_id fails
-eval "$(/lib/udev/vol_id $CD)"
-LABEL=$ID_FS_LABEL
-
-# mount the CD image
-mnt "-t iso9660 $CD -o loop,ro" cd
-
-# mount compressed filesystem
-mnt "-t squashfs $WDIR/cd/LiveOS/squashfs.img -o ro,loop" sq
-
-# create writable copy of the new filesystem for the CD
-cp -pr $WDIR/cd $WDIR/cd-w
-
-# create writable copy of the filesystem for the new compressed
-# squashfs filesystem
-cp -pr $WDIR/sq $WDIR/sq-w
-
-# mount root filesystem
-mnt "-t ext2 $WDIR/sq-w/Live...
2017 Jun 04
3
CentOS 7 install: closest mirror not supported?
...nstall, but *without* the need to download the squashfs.img
for every install) but without a full local mirror. On Fedora (25),
it works fine using a local boot.iso (virt-install -l), but with
CentOS 7 you then have to manually enter a repository URL.
I also tried a local kernel/pxeboot tree with LiveOS/squashfs.img
(the latter similar to Fedora's install.img?) with no result.
Cheers,
--
-- Jos Vos <jos at xos.nl>
-- X/OS Experts in Open Systems BV | Office: +31 20 6938364
-- Amsterdam, The Netherlands | Mobile: +31 6 26216181
2015 Nov 23
4
Kickstarting CentOS 7 VM on CentOS 6 not possible?
Hi,
On CentOS 6.7 (all updates) kickstarting a CentOS 7 VM (in the way it
always has worked for other versions, incl. Fedora 22 VM's), does not
work for me. I use virt-install with a local copy of the
"images/pxeboot" tree. It all stops with:
...
[ OK ] Reached target Paths.
[ OK ] Reached target Basic System.
dracut-initqueue[551]: Warning: Could not boot.
2018 May 25
2
ARM64 CentOS AltArch release 7.5
Hi,
I have two questions:
(1) In 7.3 CentOS released a rootfs tar for ARM64. I can no longer find
this under the 7.5 release. Furthermore, I could also not find anything on
the ISO that seems rootfs-like in any near complete state. The closest was
the LiveOS/rootfs.img, but it seems this is not a complete fs as yum is
missing components, for example.
So my question is: Is there any way to still use CentOS releases on new
ARM64 development environments (without EFI boot support)?
(2) In terms of UEFI firmware support in the ARM64 world (e.g. EDKII vs...